apt: Configuration Class Reference

apt 3.2.0 commandline package manager

Classes | Public Member Functions | List of all members
Configuration Class Reference

## Classes
struct | Item
class | MatchAgainstConfig
| match a string against a configurable list of patterns More...

## Public Member Functions
std::string | Find (const char *Name, const char *Default=0) const
std::string | Find (std::string const &Name, const char *Default=0) const
std::string | Find (std::string const &Name, std::string const &Default) const
std::string | FindFile (const char *Name, const char *Default=0) const
std::string | FindDir (const char *Name, const char *Default=0) const
std::vector< std::string > | FindVector (const char *Name, std::string const &Default="", bool const Keys=false) const
std::vector< std::string > | FindVector (std::string const &Name, std::string const &Default="", bool const Keys=false) const
int | FindI (const char *Name, int const &Default=0) const
int | FindI (std::string const &Name, int const &Default=0) const
bool | FindB (const char *Name, bool const &Default=false) const
bool | FindB (std::string const &Name, bool const &Default=false) const
std::string | FindAny (const char *Name, const char *Default=0) const
void | Set (const std::string &Name, const std::string_view &Value)
void | CndSet (const char *Name, const std::string_view &Value)
void | CndSet (const char *Name, const int Value)
void | Set (const char *Name, const std::string_view &Value)
void | Set (const char *Name, const int &Value)
bool | Exists (const std::string &Name) const
bool | Exists (const char *Name) const
bool | ExistsAny (const char *Name) const
void | MoveSubTree (char const *const OldRoot, char const *const NewRoot)
void | MoveSubTree (char const *const OldRoot, char const *const NewRoot, bool Overwrite)
void | Clear (const std::string &Name)
void | Clear ()
void | Clear (std::string const &List, std::string const &Value)
void | Clear (std::string const &List, int const &Value)
const Item * | Tree (const char *Name) const
void | Dump ()
void | Dump (std::ostream &str)
void | Dump (std::ostream &str, char const *const root, char const *const format, bool const emptyValue)
| Configuration (const Item *Root)

## Member Function Documentation

## ◆ FindVector()

vector< string > FindVector | ( | const char * | Name,
|  | std::string const & | Default = "",
|  | bool const | Keys = false ) const

return a list of child options

Options like Acquire::Languages are handled as lists which can be overridden and have a default. For the later two a comma separated list of values is supported.

Parameters

  Name | of the parent node
  Default | list of values separated by commas

The documentation for this class was generated from the following files:

- apt-pkg/contrib/configuration.h
- apt-pkg/contrib/configuration.cc